CSFML

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
Font.h File Reference
`#include <SFML/Graphics/Export.h>`
`#include <SFML/Graphics/Glyph.h>`
`#include <SFML/Graphics/Types.h>`
`#include <SFML/System/InputStream.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Functions

CSFML_GRAPHICS_API sfFont * | sfFont_createFromFile (const char *filename)
| Create a new font from a file. More...
CSFML_GRAPHICS_API sfFont * | sfFont_createFromMemory (const void *data, size_t sizeInBytes)
| Create a new image font a file in memory. More...
CSFML_GRAPHICS_API sfFont * | sfFont_createFromStream (sfInputStream *stream)
| Create a new image font a custom stream. More...
CSFML_GRAPHICS_API sfFont * | sfFont_copy (const sfFont *font)
| Copy an existing font. More...
CSFML_GRAPHICS_API void | sfFont_destroy (sfFont *font)
| Destroy an existing font. More...
CSFML_GRAPHICS_API sfGlyph | sfFont_getGlyph (sfFont *font, sfUint32 codePoint, unsigned int characterSize, sfBool bold)
| Get a glyph in a font. More...
CSFML_GRAPHICS_API int | sfFont_getKerning (sfFont *font, sfUint32 first, sfUint32 second, unsigned int characterSize)
| Get the kerning value corresponding to a given pair of characters in a font. More...
CSFML_GRAPHICS_API int | sfFont_getLineSpacing (sfFont *font, unsigned int characterSize)
| Get the line spacing value. More...
CSFML_GRAPHICS_API const sfTexture * | sfFont_getTexture (sfFont *font, unsigned int characterSize)
| Get the texture containing the glyphs of a given size in a font. More...

## Function Documentation

CSFML_GRAPHICS_API sfFont* sfFont_copy | ( | const sfFont * | font | ) |

Copy an existing font.

Parameters

  font | Font to copy

Returns
  Copied object

CSFML_GRAPHICS_API sfFont* sfFont_createFromFile | ( | const char * | filename | ) |

Create a new font from a file.

Parameters

  filename | Path of the font file to load

Returns
  A new sfFont object, or NULL if it failed

CSFML_GRAPHICS_API sfFont* sfFont_createFromMemory | ( | const void * | data,
|  | size_t | sizeInBytes
| ) |  |

Create a new image font a file in memory.

Parameters

  data | Pointer to the file data in memory
  sizeInBytes | Size of the data to load, in bytes

Returns
  A new sfFont object, or NULL if it failed

CSFML_GRAPHICS_API sfFont* sfFont_createFromStream | ( | sfInputStream * | stream | ) |

Create a new image font a custom stream.

Parameters

  stream | Source stream to read from

Returns
  A new sfFont object, or NULL if it failed

CSFML_GRAPHICS_API void sfFont_destroy | ( | sfFont * | font | ) |

Destroy an existing font.

Parameters

  font | Font to delete

CSFML_GRAPHICS_API sfGlyph sfFont_getGlyph | ( | sfFont * | font,
|  | sfUint32 | codePoint,
|  | unsigned int | characterSize,
|  | sfBool | bold
| ) |  |

Get a glyph in a font.

Parameters

  font | Source font
  codePoint | Unicode code point of the character to get
  characterSize | Character size, in pixels
  bold | Retrieve the bold version or the regular one?

Returns
  The corresponding glyph

CSFML_GRAPHICS_API int sfFont_getKerning | ( | sfFont * | font,
|  | sfUint32 | first,
|  | sfUint32 | second,
|  | unsigned int | characterSize
| ) |  |

Get the kerning value corresponding to a given pair of characters in a font.

Parameters

  font | Source font
  first | Unicode code point of the first character
  second | Unicode code point of the second character
  characterSize | Character size, in pixels

Returns
  Kerning offset, in pixels

CSFML_GRAPHICS_API int sfFont_getLineSpacing | ( | sfFont * | font,
|  | unsigned int | characterSize
| ) |  |

Get the line spacing value.

Parameters

  font | Source font
  characterSize | Character size, in pixels

Returns
  Line spacing, in pixels

CSFML_GRAPHICS_API const sfTexture* sfFont_getTexture | ( | sfFont * | font,
|  | unsigned int | characterSize
| ) |  |

Get the texture containing the glyphs of a given size in a font.

Parameters

  font | Source font
  characterSize | Character size, in pixels

Returns
  Read-only pointer to the texture